/*=============================================

    IMPORTS

=============================================*/

@import url('colors.css');
@import url('typography.css');
@import url('buttons.css');

/*===========================================*/

/*=============================================

    VARIABLES

=============================================*/

:root {
    --gap: 24px;
    --max-width: 1280px;

    --media-break: 768px;
}

/*===========================================*/

/*=============================================

    GLOBAL STRUCTURE

=============================================*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
}

main{
    position: relative;
}

section {
    width: 100%;
    padding: calc(2*var(--gap)) 0;
}

.container {
    max-width: var(--max-width);
    display: flex;
    gap: var(--gap);
    margin: 0 auto;
    padding: 0 var(--gap);
}

@media (max-width: 768px) {
    .container {
        flex-direction: column;
    }
}

.column {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
    padding: var(--gap) 0;
    width: 100%;
}

.column.ha-center {
    align-items: center;
    text-align: center;
}

.column.va-center {
    justify-content: center;
}

.item-grid {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(288px, 1fr));
    gap: var(--gap);
}

.item-grid.large {
    grid-template-columns: repeat(auto-fill, minmax(328px, 1fr));
}

.item-grid.flex {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

img {
    max-width: 100%;
    object-fit: contain;
}

.icon {
    bottom: 0;
    right: 0;
    border-radius: 4px 24px 24px 24px;
    width: 48px;
    height: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
}


/*===========================================*/

/*=============================================

    NAVIGATION

=============================================*/

header {
    width: 100%;
    background-color: var(--white);
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.1);
}

header a {
    text-decoration: none;
    color: inherit
}

header .logo img {
    max-width: 128px;
    max-height: 54px;
}

nav .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    min-height: 64px;
}

.menu ul {
    display: flex;
    gap: var(--gap);
    list-style: none;
}

.menu ul a:hover {
    color: var(--blue);
}

/*===========================================*/

/*=============================================

    LISTS

=============================================*/

ul.checklist {
    list-style-type: none;
}

ul.checklist li {
    position: relative;
    padding-left: 25px;
    margin: 8px 0;
}

ul.checklist li::before {
    content: "\f058";
    /* Código do ícone (Font Awesome) */
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    /* Necessário para ícones sólidos */
    position: absolute;
    left: 0;
    color: #00cc99;
    /* Cor do ícone */
}


/*===========================================*/

/*=============================================

    PROFILE CARD

=============================================*/

.profile-card {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
    text-align: center;
    justify-content: center;
    min-width: 288px;
}

.profile-card .avatar {
    width: 192px;
    height: 192px;
    margin: 0 auto;

    position: relative;
}

.profile-card .avatar img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: var(--gray-50);
    overflow: hidden;
    object-fit: cover;
}

.profile-card .avatar .icon {
    position: absolute;
    bottom: 0;
    right: 0;
    border-radius: 4px 24px 24px 24px;
    width: 48px;
    height: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #00cc99;
}

.profile-card .instrument {
    font-size: 0.8em;
    margin: 4px 0 12px 0;
    color: var(--gray-400);
}

.profile-card .social-media {
    display: flex;
    gap: 12px;
    font-size: 24px;
    text-align: center;
    justify-content: center;
    margin-top: 12px;
}

/*===========================================*/

/*=============================================

    COURSE CARD

=============================================*/

.course-card img{
    border-radius: 24px 4px 24px 24px;
}

/*===========================================*/

/*=============================================

    WHATSAPP BUTTON

=============================================*/

.whatsapp-button{
    width: 80px;
    height: 80px;
    border-radius: 50em;
    border:4px solid #FFF;
    background: linear-gradient(45deg,#139442, #25d366);
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size:40px;
    bottom: 48px;
    right: 48px;
    z-index: 999;
    text-decoration: none;
    color: #FFF;
    box-shadow: 0 8px 16px 0 #0003;
    transition: all .15s ease-in-out;
}

.whatsapp-button:hover{
    transform: scale(1.2);
    transition: all .15s ease-in-out;
}

/*===========================================*/

/*=============================================

    FOOTER

=============================================*/

footer {
    background-color: var(--gray-100);
    padding-top: calc(2*var(--gap));
}

footer .logo {
    max-width: 240px;
}

footer i{
    color: #fFf;
    font-size: 32px;
}

#signature {
    color: #fff;
    font-size: 10px;
    text-align: center;
    background-color: var(--gray-400);
    padding: 0px;
}

#signature a{
    color: #fff;
    text-decoration: none;
}